Skip to main content
POST
/
?module=contract&action=verify_vyper_contract
Verify a Vyper contract with its source code and contract creation information
curl --request POST \
  --url 'https://api.fuse.io/api/v0/explorer/?module=contract&action=verify_vyper_contract' \
  --header 'Content-Type: application/json' \
  --data '
{
  "addressHash": "<string>",
  "name": "<string>",
  "compilerVersion": "<string>",
  "contractSourceCode": "<string>"
}
'
{
  "message": "<string>",
  "result": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fuse.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

module
enum<string>
required
Available options:
contract
action
enum<string>
required
Available options:
verify_vyper_contract
apiKey
string
required

Body

application/json
addressHash
string
name
string
compilerVersion
string
contractSourceCode
string

Response

200 - application/json

OK

message
string
result
string
status
string